{
	"name": "form/nc/report/production-time/query/production-time-invoice.json",
	"table": [
		{
			"record_type": ["invoice"],
			"table": "order_row"
		},
		{
			"record_type": ["invoice"],
			"table": "order"
		},
		{
			"record_type": ["customer"],
			"table": "company"
		}
	],
	"parameter": {
		"show_sql": false,
		"start_date": "2025-05-01",
		"end_date": "2025-06-30",
		"packing_material_type": "plugin/nc-calc-server/constant.json/product_type.packing_material",
		"packing_cost_type": "plugin/nc-calc-server/constant.json/product_type.packing_cost"
	},
	"query": [
		["ordr.delivery_date", ">=", "start_date"],
		"and",
		["ordr.delivery_date", "<=", "end_date"],
		"and",
		["pr.product_type", "<>", "packing_material_type"],
		"and",
		["pr.product_type", "<>", "packing_cost_type"]
	],
	"order": ["ordr.delivery_date", "<", "ordr.order_id", "<", "ordr.row_number", ">", "ordr.record_id", ">"]
}
